@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

:root {
  --main-color: red;
}
html {
  scroll-behavior: smooth;
}
.navigation-bar {
  position: fixed;
}
html::-webkit-scrollbar {
  width: 0.5rem;
  background: transparent;
}
html::-webkit-scrollbar-thumb {
  border-radius: 5rem;
  background: transparent;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 
  'Helvetica Neue', sans-serif;
  overflow-x: hidden;
}
.first-page-bg {
  background-image: url(./assets/SL-101721-46230-07.jpg); 
  width: 100%;
  height: 100%;
   background-size: cover; 
   background-position :  left top;
   background-attachment: fixed;

}
.content-container {
    border-radius: 20px;
    height: 70%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 60%;
    margin: 10% auto;
    margin-bottom: 0;
  }
.navigation-bar {
  position: static;
}

#navigation-container {
  display: flex;
  justify-content:center;
  margin: 20px 0 20px 0 ;
  
}


#navigation-container  li {
list-style-type: none;
display: inline;
text-align: end;
padding: 40px;
}

#navigation-container  li :hover ,
 #navigation-container li .active {
  border-bottom: 2px  solid red;

}


#navigation-container ul {
  position: absolute;
  top: 30px;
  left:600px;
  text-transform: uppercase;
}
#logo  {
  position: absolute;
  top: 30px;
  left: 55px;
  padding: 10px;
  text-align: center;
  background-color: red;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;

}
a {
  text-decoration: none;
  color: white;
  font-weight: bolder;
}
#por{
  float: left;
  width: 50%;
  margin-top: 300px;
  animation : slideInLeft 2s ease-in-out ;
}
@keyframes slideInLeft {
  from {
    transform : translateX(-700px);
  }
  to {
    transform: translateX(0);
  }
}

.text {
  width: 50%;
  display: inline-block ;
  text-align: left;
}
h1 {
font-size: 5.5rem;
font-size: 72px;
background: linear-gradient(to right, #f32170, 
#ff6b08, #cf23cf, #4c366b); 
-webkit-text-fill-color: transparent; 
background-clip: text;
-webkit-background-clip: text; 
animation : slideInRight 2s ease-in-out;
}

@keyframes slideInRight {
  from {
    transform : translatex(700px)
    
  }
  to {
    transform: translatex(0);
  }
}


h3 {
  margin: 20px 0 10px 0;
  font-weight:bolder;
  font-size: 1rem;
  color:white;
}
p{
  color: white;
  font-weight: bolder;
}
.btn span {
  background: linear-gradient(to right, #f32170, 
#ff6b08, #cf23cf, #4c366b); 
-webkit-text-fill-color: transparent; 
background-clip: text;
-webkit-background-clip: text; 
}
.btn {
  display: inline-block;
   font-weight: 500;
  font-size: 22px; 
  margin: 10px auto;
  padding:10px;
  border: 5px solid transparent;
  border-image:linear-gradient(to left, #f32170, 
  #ff6b08, #cf23cf, #4c366b);  
  border-image-slice: 1;
  border-radius:1px;
}
.btn:hover{
  transform: scale(1.1);
  transition: 0.3s;
}

.heading {
  clear: left;
  text-align: center;
}
.heading span {
  font-weight: 700;
  color: black;
}
.heading h2 {
  color: black;
  font-weight: bolder;
}

.cars-container {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin-top: 2rem;
  margin: 2rem;
}

.cars-container .box {
  flex : 1 1 17rem;
  position: relative;
  height: 250px;
  border-radius: 0.5rem;
  overflow: hidden;
}
.cars-container .box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}
.cars-container .box img:hover {
  transform: scale(1.1);
  transition: 0.5s;
}

.cars-container .box h2 {
  position: absolute;
  bottom: 1rem;
  left: 1rem;
  font-weight: 400;
  font-size: 1rem;
  background-color:whitesmoke ;
  padding: 8px;
  border-radius: 0.5rem;
}
.cars-container .box h2:hover {
  background-color: red;
  color: white;
}

.feature {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 1.5rem;
}
.feature-img {
  flex : 1 1 21rem;
  margin:30px;
}
.feature-text {
  flex : 1 1 21rem;
}
.feature-bg {
 margin-right: 200px;
 padding: 40px;
 border-radius: 20px;
}
.feature-text span {
  font-size: 2rem;
  font-weight: bolder;
  color:red;
}
.feature-text h2 {
  font-size: 1.5rem;
  color:black;
  font-weight: bold;
}
.feature-text p {
  color: black;
  font-size: medium;
}
.feature-img img {
  border-radius: 20px;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 1.5rem;
}
.gallery-img {
  flex : 1 1 21rem;
  margin:30px;
}
.gallery-text {
  flex : 1 2 21rem;
}
.gallery-bg {
 margin-right: 300px;
 padding: 10px;
 border-radius: 20px;
}
.gallery-text span {
  font-size: 1rem;
  font-weight: bolder;
  color:red;
}

.gallery-img video {
  width: 750px;
  border-radius: 20px;
}

.footer {
background-color: black;
  border-top: 2px solid red;
}
.footer-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 1rem;
}
.footer-container .logo {
  margin-bottom: 1rem;
  margin-left: 3.5rem;
}
.footer-container .footer-box{
  display: flex;
  flex-direction: column;
}
 .footer-box .social {
  display: flex;
  align-items: center;
}

.social a {
  font-size: 24px;
  margin-right: 1rem;
  color: grey;
}
.social a:hover {
  color: white;
}
.footer-box h3 {
  font-size: 1.1rem;
  font-weight: 700;
  margin-bottom: 1rem;
}
.footer-box a , 
.footer-box p {
  color: grey;
  margin-bottom: 10px;
}

.footer-box a:hover {
  color: white;
}
.copyright {
  font-weight: 300;
  background-color: black;
  padding: 20px;
  text-align: center;
}



  @media (max-width:1080px) {  
  .content-container , 
  .container {
    margin-left: 1rem;
    margin-right: 1rem;

  }
}
@media (max-width:991px ) {
  .navigation-bar,
  .content-container,
  .container {
    padding: 15px 20px;
  }
  section {
    padding: 3rem 0 1rem;
  }
}